Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.http.control
Class HttpMirrorServer

    java.lang.Object
      java.lang.Thread
          org.apache.jmeter.protocol.http.control.HttpMirrorServer

All Implemented Interfaces:
  Runnable

public class HttpMirrorServer
extends Thread

Server daemon thread. Creates main socket and listens on it. For each client request, creates a thread to handle the request.

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`HttpMirrorServer(int port)` Create a new Daemon with the specified port and target.

Method Summary
`Exception` | `getException()`
`static void` | `main(String[] args)`
`void` | `run()` Listen on the daemon port and handle incoming requests.
`void` | `stopServer()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpMirrorServer

    public HttpMirrorServer(int port)

  Create a new Daemon with the specified port and target.

Parameters:
  `port` - the port to listen on.

Method Detail

### run

    public void run()

  Listen on the daemon port and handle incoming requests. This method will not exit until `stopServer()` is called or an error occurs.

### stopServer

    public void stopServer()

### getException

    public Exception getException()

### main

    public static void main(String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.